Name:           xnec2c
Version:        2.3
Release:        1.beta%{?dist}
Summary:        GTK based graphical wrapper for nec2c

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.qsl.net/5b4az/pages/nec2.html
Source0:        http://www.qsl.net/5b4az/pkg/nec2/xnec2c/%{name}-%{version}-beta.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}-icon.png

BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       nec2c

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does. 


%prep
%setup -q -n %{name}-%{version}-beta


%build
./autogen.sh
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}" LIBS=" -lm"


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --vendor="" \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images
%doc examples
%{_bindir}/*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/*


%changelog
* Mon Aug 26 2013 Richard Shaw <hobbes1069@gmail.com> - 2.3-1.beta
- Update to latest upstream release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Richard Shaw <hobbes1069@gmail.com> - 2.1-1.beta
- Update to latest upstream release.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 7 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.5-3
- linker error in build added libm.so

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.5-2
- Rebuild for new libpng

* Sun Jul 9 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.5-1
- Upstream update to 1.5
- Update URL and source

* Thu Jun 30 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-3
- Import and build for F15/master

* Thu Jun 30 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-2
- Apply patch by Rik van Riel, fix the Front/Back gain calculations

* Mon Jun 20 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-1
- Upstream update to 1.4

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>- 1.2-1 
- New upstream release

* Mon Feb 25 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b5-1
- New upstream

* Tue Feb 19 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b3-2
- Added desktop file and icon

* Tue Dec 11 2007 Sindre Pedersen Bjørdal - 1.0b3-1
- Initial build
